MSR_DUPLICATE(3)

DESCRIPTION
Duplicate an MSRecord structure

SYNOPSIS
#include <libmseed.h>
MSRecord *msr_duplicate ( MSRecord *msr, flag datadup );

DESCRIPTION
msr_duplicate creates a copy of an MSRecord structure including all sub-structures (FSDH and blockette chain). If the datadup flag is true the data samples from msr will also be duplicated, otherwise the copy MSRecord will not have any associated data sample array regardless if the source MSRecord had any.

RETURN VALUE
msr_dupliate returns a pointer to an MSRecord on success and NULL on error.

SEE ALSO
ms_intro(3)

AUTHOR
Chad Trabant
IRIS Data Management Center